Bug 963276 - [abrt] libreoffice-core-3.6.6.2-5.fc18: FcValueListDestroy: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-3.6.6.2-5.fc18: FcValueListDestroy: Process /usr/lib6...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:4a43e3525f59d42fb15d193cd64...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 10:39 EDT by Adrian Keward
Modified: 2013-06-16 01:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.6.6.2-8.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.61 KB, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: cgroup (130 bytes, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: core_backtrace (6.00 KB, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: dso_list (25.87 KB, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: environ (1.85 KB, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: maps (112.94 KB, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: open_fds (3.40 KB, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2013-05-15 10:39 EDT, Adrian Keward
no flags Details
File: smolt_data (3.09 KB, text/plain)
2013-05-15 10:40 EDT, Adrian Keward
no flags Details

  None (edit)
Description Adrian Keward 2013-05-15 10:39:25 EDT
Description of problem:
Slide set with large graphics being imported into another set

Version-Release number of selected component:
libreoffice-core-3.6.6.2-5.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress '/home/akeward/Desktop/HP BCS - why Red Hat.odp' --splash-pipe=6
crash_function: FcValueListDestroy
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
var_log_messages: May 15 09:24:34 akeward abrt[6040]: Saved core dump of pid 5502 (/usr/lib64/libreoffice/program/soffice.bin) to /var/tmp/abrt/ccpp-2013-05-15-09:24:33-5502 (379236352 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 FcValueListDestroy at fcpat.c:164
 #6 IA__FcPatternDestroy at fcpat.c:383
 #8 ~FontConfigFontOptions at /usr/src/debug/libreoffice-3.6.6.2/vcl/generic/fontmanager/fontconfig.cxx:1083
 #9 FontConfigFontOptions::~FontConfigFontOptions at /usr/src/debug/libreoffice-3.6.6.2/vcl/generic/fontmanager/fontconfig.cxx:1084
 #10 release at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:145
 #11 ~shared_count at /usr/include/boost/smart_ptr/detail/shared_count.hpp:305
 #12 ~shared_ptr at /usr/include/boost/smart_ptr/shared_ptr.hpp:164
 #13 ServerFont::~ServerFont at /usr/src/debug/libreoffice-3.6.6.2/vcl/generic/glyphs/gcach_ftyp.cxx:925
 #15 GlyphCache::GarbageCollect at /usr/src/debug/libreoffice-3.6.6.2/vcl/generic/glyphs/glyphcache.cxx:317
 #16 X11SalGraphics::setFont at /usr/src/debug/libreoffice-3.6.6.2/vcl/unx/generic/gdi/salgdi3.cxx:175
Comment 1 Adrian Keward 2013-05-15 10:39:30 EDT
Created attachment 748335 [details]
File: backtrace
Comment 2 Adrian Keward 2013-05-15 10:39:35 EDT
Created attachment 748336 [details]
File: cgroup
Comment 3 Adrian Keward 2013-05-15 10:39:38 EDT
Created attachment 748337 [details]
File: core_backtrace
Comment 4 Adrian Keward 2013-05-15 10:39:41 EDT
Created attachment 748338 [details]
File: dso_list
Comment 5 Adrian Keward 2013-05-15 10:39:49 EDT
Created attachment 748339 [details]
File: environ
Comment 6 Adrian Keward 2013-05-15 10:39:51 EDT
Created attachment 748340 [details]
File: limits
Comment 7 Adrian Keward 2013-05-15 10:39:54 EDT
Created attachment 748341 [details]
File: maps
Comment 8 Adrian Keward 2013-05-15 10:39:57 EDT
Created attachment 748342 [details]
File: open_fds
Comment 9 Adrian Keward 2013-05-15 10:39:59 EDT
Created attachment 748343 [details]
File: proc_pid_status
Comment 10 Adrian Keward 2013-05-15 10:40:02 EDT
Created attachment 748344 [details]
File: smolt_data
Comment 11 Caolan McNamara 2013-05-15 15:16:57 EDT
I bet this is the same problem that I fixed recently upstream as http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d6424a752902bba513102834966868f609d91e6

I should backport that
Comment 12 Fedora Update System 2013-05-16 15:02:07 EDT
libreoffice-3.6.6.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-6.fc18
Comment 13 Fedora Update System 2013-05-16 15:03:45 EDT
libreoffice-4.0.3.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.0.3.3-2.fc19
Comment 14 Fedora Update System 2013-05-17 18:18:19 EDT
Package libreoffice-4.0.3.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.0.3.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8445/libreoffice-4.0.3.3-2.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-05-23 10:14:32 EDT
libreoffice-3.6.6.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-7.fc18
Comment 16 Fedora Update System 2013-05-24 09:16:52 EDT
libreoffice-3.6.6.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-8.fc18
Comment 17 Fedora Update System 2013-05-24 16:51:42 EDT
libreoffice-4.0.3.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-06-04 17:07:08 EDT
libreoffice-3.6.6.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-06-06 09:50:25 EDT
libreoffice-3.6.6.2-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-9.fc18
Comment 20 Fedora Update System 2013-06-16 01:31:07 EDT
libreoffice-3.6.6.2-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.